Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get video asset registration status (deprecated)

Prev Next

Available in VPC

Caution

This API is deprecated and is scheduled to be terminated in January 2027. Use the new Get media asset registration status API.

Get the status of a video asset registered in a project.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/workspaces/{workspace_name}/projects/{project_id}/video-assets/{video_asset_id}/import-status

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

The following describes the parameters.

Field Type Required Description
workspace_name String Required Workspace name
project_id String Required Project ID
video_asset_id String Required Video asset ID

Request example

The request example is as follows:

curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/video-assets/5678/import-status' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String - API processing result code
message String - API processing result message
result Object - Video asset registration status information
result.videoId Integer - Video asset ID
result.uploadStatus String - Video upload status
  • IN_PROGRESS: Upload in progress
  • COMPLETED: Upload completed
  • FAILED: Upload failed
  • FILE_NOT_EXIST: No file
  • INVALID_METADATA: Invalid video
result.uploadResult String - Message mapped to video upload status
  • IN_PROGRESS: Upload in progress
  • COMPLETED: Upload completed
  • FAILED: Upload failed
  • FILE_NOT_EXIST: No file
  • INVALID_METADATA:
    • Unsupported resolution (supported resolutions: 360p to 1080p)
    • Unsupported video length (up to 6 hours)
    • Unsupported file format (supported resolutions: 360p to 1080p, up to 6 hours)
result.metaData Object - Video metadata details
result.metaData.resolution String - Video resolution
  • Example: 1920x1080
result.metaData.durationMs Integer - Video length (millisecond)
result.metaData.size Integer - Video file size (byte)
result.metaData.format String - Video file format
  • mp4 | mkv | mov | webm

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
    "code": "0",
    "message": "success",
    "result": {
        "videoId": 5678,
        "uploadStatus": "COMPLETED",
        "uploadResult": "Upload complete",
        "metaData": {
            "resolution": "1920x1080",
            "durationMs": 253702,
            "size": 120333399,
            "format": "mp4"
        }
    }
}